#pragma once

#include <Common/Common.hpp>

auto Hook_OnDrawObject( void* pAnimatableSceneObjectDesc , void* pDx11 , void* pMeshData , int nDataCount , void* pSceneView , void* pSceneLayer , void* pUnk , void* pUnk2 ) -> void;

using OnDrawObject_t = decltype( &Hook_OnDrawObject );
inline OnDrawObject_t OnDrawObject_o = nullptr;